> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genomic Elements Variants

> Retrieve variants associated with genomic elements.

Example: region = chr1:976210-976314,

region_type = accessible dna elements,

biosample_term = EFO_0002067,

biological_context = K562,

method = caQTL.

The limit parameter controls the page size and can not exceed 300.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genomic-elements/variants
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genomic-elements/variants:
    get:
      summary: Genomic Elements Variants
      description: |-
        Retrieve variants associated with genomic elements.

        Example: region = chr1:976210-976314,

        region_type = accessible dna elements,

        biosample_term = EFO_0002067,

        biological_context = K562,

        method = caQTL.

        The limit parameter controls the page size and can not exceed 300.

        Pagination is 0-based.
      operationId: variantsFromGenomicElements
      parameters:
        - name: region
          in: query
          required: false
          schema:
            type: string
        - name: region_type
          in: query
          required: false
          schema:
            type: string
            enum:
              - accessible dna elements
        - name: biosample_term
          in: query
          required: false
          schema:
            type: string
        - name: biological_context
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - caQTL
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    variant:
                      type: object
                      properties:
                        chr:
                          type: string
                        pos:
                          type: number
                        ref:
                          type: string
                        alt:
                          type: string
                        rsid:
                          type: array
                          items:
                            type: string
                          nullable: true
                        spdi:
                          type: string
                          nullable: true
                        hgvs:
                          type: string
                          nullable: true
                        ca_id:
                          type: string
                          nullable: true
                        _id:
                          type: string
                      required:
                        - chr
                        - pos
                        - ref
                        - alt
                      additionalProperties: false
                    name:
                      type: string
                    label:
                      type: string
                    method:
                      type: string
                    class:
                      type: string
                      nullable: true
                    log2FC:
                      type: number
                      nullable: true
                    neg_log10_pvalue:
                      type: number
                      nullable: true
                    beta:
                      type: number
                      nullable: true
                    files_filesets:
                      type: string
                      nullable: true
                    biological_context:
                      type: string
                      nullable: true
                    biosample_term:
                      type: string
                      nullable: true
                    source:
                      type: string
                      nullable: true
                    source_url:
                      type: string
                      nullable: true
                    genomic_element:
                      type: object
                      properties:
                        _id:
                          type: string
                        name:
                          type: string
                        chr:
                          type: string
                        start:
                          type: number
                        end:
                          type: number
                        type:
                          type: string
                        source_annotation:
                          type: string
                          nullable: true
                        source:
                          type: string
                        source_url:
                          type: string
                      required:
                        - _id
                        - name
                        - chr
                        - start
                        - end
                        - type
                        - source
                        - source_url
                      additionalProperties: false
                      nullable: true
                  required:
                    - variant
                    - name
                    - label
                    - method
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````